<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm"><h1>#{messages['gazelle.simulator.pam.patientInformation']}</h1>
            <s:decorate template="/layout/panels/_panel_title.xhtml" rendered="#{patientDisplayManager.selectedPatient != null}">
                <ui:define name="panel_title">#{patientDisplayManager.selectedPatient.firstName}
                    #{patientDisplayManager.selectedPatient.lastName}
                </ui:define>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{patientDisplayManager.selectedPatient.simulatedActor != null}">
                        <ui:define name="label">#{messages['gazelle.HL7Common.simulatedActor']}</ui:define>
                        <h:outputText value="#{patientDisplayManager.selectedPatient.simulatedActor.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.Creator']}</ui:define>
                        <h:outputText value="#{patientDisplayManager.getUserName(patientDisplayManager.selectedPatient.creator)}" rendered="#{not empty patientDisplayManager.selectedPatient.creator}"/>
                        <h:outputText value="#{messages['net.ihe.gazelle.pam.Anonymous']}" rendered="#{empty patientDisplayManager.selectedPatient.creator}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{patientDisplayManager.selectedPatient.creationDate != null}">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.CreationDate']}</ui:define>
                        <g:date value="#{patientDisplayManager.selectedPatient.creationDate}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{patientDisplayManager.selectedPatient.id != null}">
                        <ui:define name="label">#{messages['gazelle.HL7Common.permanentLink']}</ui:define>
                        <a
                                href="#{applicationConfiguration.getValueOfVariable('application_url')}/patient.seam?id=#{patientDisplayManager.selectedPatient.id}"
                                target="_blank">#{applicationConfiguration.getValueOfVariable('application_url')}/patient.seam?id=#{patientDisplayManager.selectedPatient.id}</a>
                    </s:decorate>
                </dl>
                <ui:include src="/patient/showPatient.xhtml">
                    <ui:param name="patient" value="#{patientDisplayManager.selectedPatient}"/>
                    <ui:param name="renderHistory" value="true"/>
                    <ui:param name="renderEncounters" value="true"/>
                    <ui:param name="showLinks" value="true"/>
                    <ui:param name="renderZFD" value="#{patientDisplayManager.selectedPatient.additionalDemographics != null}"/>
                    <ui:param name="zfp" value="#{patientDisplayManager.selectedPatient.additionalDemographics != null}"/>
                    <ui:param name="prefix" value="def"/>
                    <ui:param name="renderRelationships" value="true"/>
                    <ui:param name="zfs" value="#{not empty patientDisplayManager.selectedPatient.legalCareModes}"/>
                </ui:include>
            </s:decorate>
        </h:form>
    </ui:define>
</ui:composition>
